# std::isunordered

From cppreference.com
< cpp‎ | numeric‎ | math

Defined in header `<cmath>` |  |
bool isunordered( float x, float y ); | (1) | (since C++11)
bool isunordered( double x, double y ); | (2) | (since C++11)
bool isunordered( long double x, long double y ); | (3) | (since C++11)
bool isunordered( Arithmetic x, Arithmetic y ); | (4) | (since C++11)

1-3) Determines if the floating point numbers `x` and `y` are unordered, that is, one or both are NaN and thus cannot be meaningfully compared with each other.
4) A set of overloads or a function template for all combinations of arguments of arithmetic type not covered by (1-3). If any argument has integral type, it is cast to double.

### Parameters

x | - | floating point value
y | - | floating point value

### Return value

true if either `x` or `y` is NaN, false otherwise

### See also

fpclassify (C++11) | categorizes the given floating point value (function)
isnan (C++11) | checks if the given number is NaN (function)
C documentation for isunordered

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/math/isunordered&oldid=73101"